/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_APRERECE                                                 */
/* Tabela : APRERECE                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_APRERECE'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_APRERECE
GO

CREATE TRIGGER DTULTATU_APRERECE
ON APRERECE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'APRERECE', null, 'CDAPRERECE=' + CDAPRERECE + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE APRERECE
      SET DTULTATUAPRE = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(APRERECE.NMAPRERECE,0) = ISNULL(INSERTED.NMAPRERECE,0)) AND
            (ISNULL(APRERECE.CDAPRERECE,0) = ISNULL(INSERTED.CDAPRERECE,0));
   END;
END;
GO

